<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/RegistrationPane.inc.php" );

	class RegistrationPage extends DefaultFrontend {
		protected $sRegistrationType = "freelancer";

		public function __construct( $id = "MainPage" , $parent = null , $pagetype = "registration"  ) {
			$this->oParent = NULL;
			$this->oTopParent = $this;
			// a sorrendiseg csak azert van felcserelve, hogy o legyen a handle events elo gondolata, amikorra is mar be is lepteti, mire a menuhoz er
			$this->oRegistrationPane = new RegistrationPane( "content_widget" , $this );
			parent::__construct( $id , $parent , $pagetype );
		}

		public function render() {
			// $this->oRegistrationPane->setRegistrationType( $this->sRegistrationType );
			return parent::render();
		}
	}
?>
